# V3d_TypeOfLight.hxx File Reference

`#include <Standard_PrimitiveTypes.hxx>`

## Enumerations

enum | V3d_TypeOfLight { V3d_AMBIENT, V3d_DIRECTIONAL, V3d_POSITIONAL, V3d_SPOT }
| The available options are - V3d_OFF: Zclipping (clipping executed in the depth of the view) is deactivated, - V3d_BACK: back Zclipping is activated, - V3d_FRONT: front Zclipping is activated, - V3d_SLICE: both front and back Zclippings are activated. . More...

## Enumeration Type Documentation

enum V3d_TypeOfLight

Enumeration values:

  V3d_AMBIENT |
  V3d_DIRECTIONAL |
  V3d_POSITIONAL |
  V3d_SPOT |